Package org.apache.sling.distribution.journal.impl.subscriber

## Class NoopIdle

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.subscriber.NoopIdle

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `IdleCheck`

    public class NoopIdle
    extends Object
    implements IdleCheck

### Constructor Summary

Constructors
`NoopIdle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `busy​(int retries)` Called when processing of a message starts
`void` `close()`
`void` `idle()` Called when processing of a message has finished
`boolean` `isIdle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoopIdle

    public NoopIdle()

### Method Detail

#### busy

    public void busy​(int retries)

Description copied from interface: `IdleCheck`
Called when processing of a message starts

Specified by:
  `busy` in interface `IdleCheck`
Parameters:
  `retries` - the number of retries to process the message

#### idle

    public void idle()

Description copied from interface: `IdleCheck`
Called when processing of a message has finished

Specified by:
  `idle` in interface `IdleCheck`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

#### isIdle

    public boolean isIdle()

Specified by:
  `isIdle` in interface `IdleCheck`